#! /usr/bin/env python
#
#
# a script to plot the results of the modulation depth
# 2013/Dec/15th
#
#
from pylab import *
from numpy import loadtxt

# load the measurement data
filename = '../data/OSA_sideband_height.txt'
A = loadtxt(filename)


# carrier peak height is assumeto be constant at ~ 7.0 V
Vc = 7.0
f = A[:,0]
Vsb = A[:,1]
G = sqrt( 4.0*Vsb/Vc ) # the smalle mod depth approximation is applied

# some constants
f1 = 9.099471
fm = 24.078360


# plot figure for
# 9 MHz modulation input
figure(41009)
title("9 MHz input. (25 dBm at input)")
plot((f1, f1), (0, 0.6), '--', lw=2, color='k')
plot(f[0:14], G[0:14], '.', ms=20, color='r' )
grid(which='both')
xlabel("Frequency [MHz]")
ylabel("Modulation Depth [rad]")
savefig("../figures/moddepth9.pdf", transparent=True)

# plot figure for
# 24 MHz modulation input
figure(1021)
title("24 MHz input (29 dBm at input)")
plot(f[15:30], G[15:30], '.', ms=20, color='r' )
plot((fm, fm), (0, 0.6), '--', lw=2, color='k')
grid(which='both')
xlabel("Frequency [MHz]")
ylabel("Modulation Depth [rad]")
savefig("../figures/moddepth24.pdf", transparent=True)

# plot figure for
# 45 MHz modulation input
figure(1045)
title("45 MHz input (19 dBm at input)")
plot((5*f1, 5*f1), (0, 0.6), '--', lw=2, color='k')
plot(f[31:45], G[31:45], '.', ms=20, color='r' )
grid(which='both')
xlabel("Frequency [MHz]")
ylabel("Modulation Depth [rad]")
savefig("../figures/moddepth45.pdf", transparent=True)


show()
